/*********************************************************************** 
 *  File name          :  ESWATH.h
 *  Function           :  Definition of all the relevant data 
 *  Called by          :  Subroutines 
 ***************************************************************/
/* Time */

extern short int   	year[MAXSCANLINE_A];
extern short int   	doy[MAXSCANLINE_A];
extern char        	month[MAXSCANLINE_A];
extern char        	dom[MAXSCANLINE_A];
extern char        	hour[MAXSCANLINE_A];
extern char        	minute[MAXSCANLINE_A];
extern char        	second[MAXSCANLINE_A];
extern double    	time_tai93[MAXSCANLINE_A];
//extern const char       *str_scantime[MAXSCANLINE_A];
extern char             str_scantime[MAXSCANLINE_A][NCHAR];

/* Ancillary Data */

extern char 	    	mask[MAP_ROWS][MAP_COLS];
extern char		qc_flag[MAXSCANLINE_A];
extern char        	orb_mode[MAXSCANLINE_A];
extern unsigned char	qa_prod[MAXSCANLINE_A][NUMCHAN_A];
extern short int   	scanneed[MAXSCANLINE_A];

extern float		lza[MAXSCANLINE_A][NUMSPOT_A];
extern float		sza[MAXSCANLINE_A][NUMSPOT_A];

extern float		lat_a1_1[MAXSCANLINE_A][NUMSPOT_A];
extern float		lon_a1_1[MAXSCANLINE_A][NUMSPOT_A];
extern float		lza_a1_1[MAXSCANLINE_A][NUMSPOT_A];
extern float		ssa_a1_1[MAXSCANLINE_A][NUMSPOT_A];

extern float		lat_a1_2[MAXSCANLINE_A][NUMSPOT_A];
extern float		lon_a1_2[MAXSCANLINE_A][NUMSPOT_A];
extern float		lza_a1_2[MAXSCANLINE_A][NUMSPOT_A];
extern float		ssa_a1_2[MAXSCANLINE_A][NUMSPOT_A];

extern float		lat_a2[MAXSCANLINE_A][NUMSPOT_A];
extern float		lon_a2[MAXSCANLINE_A][NUMSPOT_A];
extern float		lza_a2[MAXSCANLINE_A][NUMSPOT_A];
extern float		ssa_a2[MAXSCANLINE_A][NUMSPOT_A];

extern char**		stype_a1_1;
extern char**		stype_a1_2;
extern char**		stype_a2;
//extern char		stype_a1_1[MAXSCANLINE_A][NUMSPOT_A];
//extern char		stype_a1_2[MAXSCANLINE_A][NUMSPOT_A];
//extern char		stype_a2[MAXSCANLINE_A][NUMSPOT_A];

extern float            t_r_central_wave_number[NUMCHAN_A];

extern float            rfs_corr[NUMCHAN_A][3];
extern float            mu_coef[3];
extern float            mu15[MAXSCANLINE_A];
extern float            t_cold[NUMCHAN_A];
extern float		rad_cold[NUMCHAN_A];
extern float            cc[MAXSCANLINE_A][NUMCHAN_A];

extern float 		dcoef_a1[10][4];
extern float		dcoef_a2[7][4];
extern float 		scoef_a1[2][4];
extern float		scoef_a2[4];

extern float		twd_a1[MAXSCANLINE_A][10];
extern float		twd_a2[MAXSCANLINE_A][7];
extern float		t_rfs_a1[MAXSCANLINE_A][2];
extern float		t_rfs_a2[MAXSCANLINE_A];
extern float		twd_weight[MAXSCANLINE_A][3];
extern float		dtw[MAXSCANLINE_A][NUMCHAN_A];
extern float		t_warm[MAXSCANLINE_A][NUMCHAN_A];
extern float		rad_warm[MAXSCANLINE_A][NUMCHAN_A];
extern float            cw[MAXSCANLINE_A][NUMCHAN_A];

extern float		S[MAXSCANLINE_A][NUMCHAN_A];
extern float		Z[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];
extern float		Rl[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];

/* Antenna Temperature etc. */

extern unsigned short   count[NUMCHAN_A][NUMSPOT_A];
extern unsigned short   countc[NUMCHAN_A][2];
extern unsigned short   countw[NUMCHAN_A][2];

extern float       	clcoef[NUMCHAN_A][3];
extern float		calrad[NUMCHAN_A][NUMSPOT_A];
extern float		calradc[NUMCHAN_A][2];
extern float		calradw[NUMCHAN_A][2];
extern float		calrade[NUMCHAN_A][NUMSPOT_A];
extern float 		at[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];

extern float          	rat[NUMSPOT_A];
extern float          	rad[NUMSPOT_A];

extern float            ssmi_r[SSMI_LON][SSMI_LAT];

/* Products */

extern short int     	clw[MAXSCANLINE_A][NUMSPOT_A];
extern short int      	tpw[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	sice[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	ts[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	em1[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	em2[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	em3[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	rr[MAXSCANLINE_A][NUMSPOT_A];
extern short int     	snow[MAXSCANLINE_A][NUMSPOT_A];

/* AVN data */

extern short int	num_avn;
extern short int	avnhr[3];
extern short int	avnset[3];
extern float	    	windu_avn[3][NUMROW_AVN][NUMCOL_AVN];
extern float	    	windv_avn[3][NUMROW_AVN][NUMCOL_AVN];
extern float	    	ts2m_avn[3][NUMROW_AVN][NUMCOL_AVN];
extern float	    	ts_avn[3][NUMROW_AVN][NUMCOL_AVN];
extern float	    	tpw_avn[3][NUMROW_AVN][NUMCOL_AVN];

/* APC data */
extern float		apdata[NUMSPOT_A][NUMCHAN_A][3];
extern float		eta[NUMCHAN_A];

/* Misc. Data */

extern short int	FN_length_AMA;
extern short int	bad_at;
extern short int        i_ssmi,j_ssmi;
extern int       	latbox_up[NUMSPOT_A];
extern int      	latbox_down[NUMSPOT_A];

extern float            A0[4];
extern float            A1[4];
extern float            A2[4];
extern float            A3[4];
extern float            A4[4];
extern float            A5[4];

extern float            D0[4];
extern float            D1[4];
extern float            D2[4];
extern float            D3[4];
extern float            D4[4];
extern float            D5[4];

extern char		sid[4];
extern short int        snum;
extern float		asym_a2[NUMSPOT_A][NUMCHAN_A];
extern float		asym_a1[NUMSPOT_A][NUMCHAN_A];
extern float		asym_a0[NUMSPOT_A][NUMCHAN_A];
extern float		mu[NUMCHAN_A];
extern float		dr[NUMCHAN_A];
extern float		k[NUMCHAN_A];
extern char		nc_fname[80];
extern char		platform[80];
extern char		hdf_fname[80];

/* Structures */

extern SCANLINE    scanline[MAXSCANLINE_A];

extern Sys_Time    Sys_times;
extern Limit_A     limit_A;

extern HBLOCK      hblock;

extern GEO_STIME   geo_scantime[MAXSCANLINE_A];

extern GEOHEAD     geohead;
extern GEOLINE     geoline;
