/*********************************************************************** 
 *  File name          :  SWATH.h
 *  Function           :  Definition of all the relevant data 
 *  Called by          :  AMA2NC_FCDR.c
 ***************************************************************/
/* Time */

short int   	year[MAXSCANLINE_A];
short int   	doy[MAXSCANLINE_A];
char        	month[MAXSCANLINE_A];
char        	dom[MAXSCANLINE_A];
char        	hour[MAXSCANLINE_A];
char        	minute[MAXSCANLINE_A];
char        	second[MAXSCANLINE_A];
double    	time_tai93[MAXSCANLINE_A];
//const char      *str_scantime[MAXSCANLINE_A];
char            str_scantime[MAXSCANLINE_A][NCHAR];

/* Ancillary Data */

char 	    	mask[MAP_ROWS][MAP_COLS];
char		qc_flag[MAXSCANLINE_A];
char        	orb_mode[MAXSCANLINE_A];
unsigned char	qa_prod[MAXSCANLINE_A][NUMCHAN_A];
short int   	scanneed[MAXSCANLINE_A];

float		lza[MAXSCANLINE_A][NUMSPOT_A];
float		sza[MAXSCANLINE_A][NUMSPOT_A];

float		lat_a1_1[MAXSCANLINE_A][NUMSPOT_A];
float		lon_a1_1[MAXSCANLINE_A][NUMSPOT_A];
float		lza_a1_1[MAXSCANLINE_A][NUMSPOT_A];
float		ssa_a1_1[MAXSCANLINE_A][NUMSPOT_A];

float		lat_a1_2[MAXSCANLINE_A][NUMSPOT_A];
float		lon_a1_2[MAXSCANLINE_A][NUMSPOT_A];
float		lza_a1_2[MAXSCANLINE_A][NUMSPOT_A];
float		ssa_a1_2[MAXSCANLINE_A][NUMSPOT_A];

float		lat_a2[MAXSCANLINE_A][NUMSPOT_A];
float		lon_a2[MAXSCANLINE_A][NUMSPOT_A];
float		lza_a2[MAXSCANLINE_A][NUMSPOT_A];
float		ssa_a2[MAXSCANLINE_A][NUMSPOT_A];

char**		stype_a1_1;
char**		stype_a1_2;
char**		stype_a2;
//char		stype_a1_1[MAXSCANLINE_A][NUMSPOT_A];
//char		stype_a1_2[MAXSCANLINE_A][NUMSPOT_A];
//char		stype_a2[MAXSCANLINE_A][NUMSPOT_A];

float		t_r_central_wave_number[NUMCHAN_A];

float           rfs_corr[NUMCHAN_A][3];
float           mu_coef[3];
float           mu15[MAXSCANLINE_A];
float           t_cold[NUMCHAN_A];
float		rad_cold[NUMCHAN_A];
float           cc[MAXSCANLINE_A][NUMCHAN_A];

float 		dcoef_a1[10][4];
float		dcoef_a2[7][4];
float 		scoef_a1[2][4];
float		scoef_a2[4];

float		twd_a1[MAXSCANLINE_A][10];
float		twd_a2[MAXSCANLINE_A][7];
float		t_rfs_a1[MAXSCANLINE_A][2];
float		t_rfs_a2[MAXSCANLINE_A];
float		twd_weight[MAXSCANLINE_A][3];
float		dtw[MAXSCANLINE_A][NUMCHAN_A];
float		t_warm[MAXSCANLINE_A][NUMCHAN_A];
float		rad_warm[MAXSCANLINE_A][NUMCHAN_A];
float           cw[MAXSCANLINE_A][NUMCHAN_A];

float		S[MAXSCANLINE_A][NUMCHAN_A];
float		Z[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];
float		Rl[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];

/* Antenna Temperature etc. */

unsigned short  count[NUMCHAN_A][NUMSPOT_A];
unsigned short  countc[NUMCHAN_A][2];
unsigned short  countw[NUMCHAN_A][2];

float       	clcoef[NUMCHAN_A][3];
float		calrad[NUMCHAN_A][NUMSPOT_A];
float		calradc[NUMCHAN_A][2];
float		calradw[NUMCHAN_A][2];
float		calrade[NUMCHAN_A][NUMSPOT_A];  //
float 		at[MAXSCANLINE_A][NUMSPOT_A][NUMCHAN_A];  //

float          	rat[NUMSPOT_A];
float          	rad[NUMSPOT_A];
float           radw;
float		radc;

float           ssmi_r[SSMI_LON][SSMI_LAT];

/* Products */

short int     	clw[MAXSCANLINE_A][NUMSPOT_A];
short int      	tpw[MAXSCANLINE_A][NUMSPOT_A];
short int     	sice[MAXSCANLINE_A][NUMSPOT_A];
short int     	ts[MAXSCANLINE_A][NUMSPOT_A];
short int     	em1[MAXSCANLINE_A][NUMSPOT_A];
short int     	em2[MAXSCANLINE_A][NUMSPOT_A];
short int     	em3[MAXSCANLINE_A][NUMSPOT_A];
short int     	rr[MAXSCANLINE_A][NUMSPOT_A];
short int     	snow[MAXSCANLINE_A][NUMSPOT_A];

/* AVN data */

short int	num_avn;
short int	avnhr[3];
short int	avnset[3];
float	    	windu_avn[3][NUMROW_AVN][NUMCOL_AVN];
float	    	windv_avn[3][NUMROW_AVN][NUMCOL_AVN];
float	    	ts2m_avn[3][NUMROW_AVN][NUMCOL_AVN];
float	    	ts_avn[3][NUMROW_AVN][NUMCOL_AVN];
float	    	tpw_avn[3][NUMROW_AVN][NUMCOL_AVN];

/* APC data */
float		apdata[NUMSPOT_A][NUMCHAN_A][3];
float		eta[NUMCHAN_A];

/* Misc. Data */

short int	FN_length_AMA;
short int	bad_at;
short int       i_ssmi,j_ssmi;
int       	latbox_up[NUMSPOT_A];
int      	latbox_down[NUMSPOT_A];

float		A0[4];
float		A1[4];
float		A2[4];
float		A3[4];
float		A4[4];
float		A5[4];

float		D0[4];
float		D1[4];
float		D2[4];
float		D3[4];
float		D4[4];
float		D5[4];

char		sid[4];
short int       snum;
float		asym_a2[NUMSPOT_A][NUMCHAN_A];
float		asym_a1[NUMSPOT_A][NUMCHAN_A];
float		asym_a0[NUMSPOT_A][NUMCHAN_A];
float		mu[NUMCHAN_A];
float		dr[NUMCHAN_A];
float		k[NUMCHAN_A];
char		nc_fname[80];
char		platform[80];
char		hdf_fname[80];

/* Structures */

SCANLINE    scanline[MAXSCANLINE_A];

Sys_Time    Sys_times;
Limit_A     limit_A;

HBLOCK      hblock;

GEO_STIME   geo_scantime[MAXSCANLINE_A];

GEOHEAD     geohead;
GEOLINE     geoline;
