/**************************************************************************
 *  Program Name      : apc.c
 *  Type              : Subroutine 
 *  Function          : Program performs antenna pattern correction
 *  Input Files       : None
 *  Output Files      : None
 *  Subroutine Called : None 
 *  Called by         : getcal.c 
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *    7/1/2011      v1.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/****************************************************************/
void apc(int ichan, int numspt)
{
   int		ibp, iapc;
   float	radc_bar, radw_bar, feta, n_eta, fe, fc, fsat;

//   for(ichan = 0; ichan < numchn; ichan++)
//   {
      radc_bar = (calradc[ichan][0] + calradc[ichan][1]) / 2;
      radw_bar = (calradw[ichan][0] + calradw[ichan][1]) / 2;
      
      feta = eta[ichan];

      for(ibp = 0; ibp < numspt; ibp++)
      {
         fe = apdata[ibp][ichan][0];
         fsat = apdata[ibp][ichan][1];
         fc = apdata[ibp][ichan][2];
         n_eta = fe + fc + feta * fsat;
     
         calrade[ichan][ibp] = (n_eta * calrad[ichan][ibp] - 
           fc * radc_bar - feta * fsat * radw_bar) / fe;
      }
//   }
}
