/***************************************************************************
 *  Program Name      : init.c
 *  Type              : Subroutine
 *  Function          : Program initializes AT and product fields 
 *  Input Files       : None 
 *  Output Files      : None
 *  Subroutine Called : None 
 *  Called by         : rama_wfcdr.c
 *
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/********************************************************************/
void init()
{
    short int ifov, iscan, ich;
    short int   numscan = hblock.last_scan_record;

    for(iscan = 0; iscan < numscan; iscan++) {
       for(ich = 0; ich < NUMCHAN_A; ich++) {
          qa_prod[iscan][ich] = 0;

          for(ifov = 0; ifov < NUMSPOT_A; ifov++) {         
             at[iscan][ifov][ich] = MISSING;
             Rl[iscan][ifov][ich] = MISSING;
             Z[iscan][ifov][ich] = MISSING;
          }
       } 
    }
} /* end of init.c */
