/***************************************************************************
 *  Program Name      : qc_at.c
 *  Type              : Subroutine
 *  Function          : Program performs quality control for AMSU-A 
 *			antenna temperatures 
 *  Input Files       : None
 *  Output Files      : bad_at (a parameter) 
 *  Subroutine Called : None 
 *  Called by         : gnrt_fcdr.c 
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *   8/30/2000      v2.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/**************************************************************/
void qc_at(short int iscan) 
{
  short int        ifov, ichan;
  short int        ch_flag;

/*--------------------------------------------------------*
 * Channel 1 to channel 15 limit test
 *--------------------------------------------------------*/
    ch_flag = 0;
//    bad_at = 0;

    for (ichan = 0; ichan < NUMCHAN_A; ichan++) 
    {
       for (ifov = 0; ifov < NUMSPOT_A; ifov++)
       {
           if(at[iscan][ifov][ichan] < limit_A.Temp_lower[ichan] ||
              at[iscan][ifov][ichan] > limit_A.Temp_upper[ichan])
           { 
              ch_flag = 1;
              printf("at[%d][%d][%d] = %f\n",iscan+1,ifov+1,ichan+1,at[iscan][ifov][ichan]);
              break;
           }

        } /* ifov loop */

        if(ch_flag == 1) 
        {
           for (ifov = 0; ifov < NUMSPOT_A; ifov++)
              at[iscan][ifov][ichan] = MISSING; 
           qa_prod[iscan][ichan] |= 1<<3;
           ch_flag = 0;
        }

    } /* ichan loop */

/*--------------------------------------------------------*
 * If any pixel of any channel is out of the limits, then 
 * ATs of the entire scanline of all channels are set to 
 * -99.
 *--------------------------------------------------------*/

/*    if(ch_flag == 1)
    {
       bad_at = 1;
 

    }
*/ 
} /* end of qc_at.c */    
