/**************************************************************************
 *  Program Name      : read_apdata.c
 *  Type              : Subroutine 
 *  Function          : Program reads in APC coeficients
 *  Input Files       : MOA_APC.dat N15(-19)_APC.dat 
 *  Output Files      : None
 *  Subroutine Called : openfs.c 
 *  Called by         : rama_wfcdr.c 
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *    7/1/2011      v1.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/****************************************************************/
FILE *openfs();

void read_apdata(char* sid)
{
   char   	ch[100];
   int		ibp, ichan, iapc;
   FILE         *fp_PARAM;
   char         apc_fname[80];
   float	t0,t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11;

   strcpy(apc_fname, "../input/");
   strcat(apc_fname, sid);
   strcat(apc_fname, "_APC.dat");

   fp_PARAM = openfs(apc_fname);

   for (ibp = 0; ibp < NUMSPOT_A; ibp++)
   {
       fgets(ch,100,fp_PARAM);
       sscanf(ch, "%f %f %f %f %f %f %f %f %f %f %f %f",
           &t0,&t1,&t2,&t3,&t4,&t5,&t6,&t7,&t8,&t9,&t10,&t11);
       apdata[ibp][0][0] = t0;
       apdata[ibp][0][1] = t1;
       apdata[ibp][0][2] = t2;
       apdata[ibp][1][0] = t3;
       apdata[ibp][1][1] = t4;
       apdata[ibp][1][2] = t5;
       apdata[ibp][2][0] = t6;
       apdata[ibp][2][1] = t7;
       apdata[ibp][2][2] = t8;
       apdata[ibp][3][0] = t9;
       apdata[ibp][3][1] = t10;
       apdata[ibp][3][2] = t11;
   }

//   printf("%f %f %f %f %f %f %f %f %f %f %f %f\n",
//          t0,t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11);

   fgets(ch,100,fp_PARAM);
   sscanf(ch, "%f %f %f %f", &t0,&t1,&t2,&t3);
   eta[0]=t0;
   eta[1]=t1;
   eta[2]=t2;
   eta[3]=t3;

   fclose(fp_PARAM);

//   printf("%f %f %f %f\n",t0,t1,t2,t3);
}
