/**************************************************************************
 *  Program Name      : read_asymdata.c
 *  Type              : Subroutine 
 *  Function          : Program reads in cross-track asymetry correction coeficients
 *  Input Files       : MOA_ASYM.dat N15(-19)_ASYM.dat 
 *  Output Files      : None
 *  Subroutine Called : openfs.c 
 *  Called by         : rama_wfcdr.c 
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *    7/20/2011      v1.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/****************************************************************/
FILE *openfs();

void read_asymdata(char* sid)
{
   char   	ch[250];
   int		ibp, ichan;
   FILE         *fp_PARAM;
   char         asym_fname[80];
   float	t0,t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,v0;

   strcpy(asym_fname, "../input/");
   strcat(asym_fname, sid);
   strcat(asym_fname, "_ASYM.dat");

   fp_PARAM = openfs(asym_fname);

   for (ibp = 0; ibp < NUMSPOT_A; ibp++)
   {
       fgets(ch,250,fp_PARAM);
       sscanf(ch, "%f %f %f %f %f %f %f %f %f %f %f %f %f", &v0,&t0,&t1,&t2,&t3,&t4,&t5,&t6,&t7,&t8,&t9,&t10,&t11);
       asym_a2[ibp][0] = t0;
       asym_a2[ibp][1] = t1;
       asym_a2[ibp][2] = t2;
       asym_a2[ibp][3] = t3;
       asym_a1[ibp][0] = t4;
       asym_a1[ibp][1] = t5;
       asym_a1[ibp][2] = t6;
       asym_a1[ibp][3] = t7;
       asym_a0[ibp][0] = t8;
       asym_a0[ibp][1] = t9;
       asym_a0[ibp][2] = t10;
       asym_a0[ibp][3] = t11;
       //printf("ASYM: %f %f %f %f %f %f %f %f %f %f %f %f\n",t0,t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11);
   }

   fclose(fp_PARAM);

   printf("ASYM: %f %f %f %f\n",t0,t1,t2,t3);
}
