/***************************************************************************
 *  Program Name      : scn_data.c
 *  Type              : Subroutine
 *  Function          : Program extracts data from AMSU-A 1B* file
 *  Input Files       : None 
 *  Output Files      : None
 *  Subroutine Called : None 
 *  Called by         : rama_wfcdr.c 
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *   8/30/2000      v2.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/******************************************************************/
void scn_data(short int numscan) 
{
   short int        iscan, ifov;

   for(iscan = 0; iscan < numscan; iscan++)
      for(ifov = 0; ifov < NUMSPOT_A; ifov++)
      {
	 lat_a2[iscan][ifov] = scanline[iscan].earth_location[ifov*2]*1.0E-4;
	 lon_a2[iscan][ifov] = scanline[iscan].earth_location[ifov*2+1]*1.0E-4;

	 lat_a1_1[iscan][ifov] = lat_a2[iscan][ifov];
	 lon_a1_1[iscan][ifov] = lon_a2[iscan][ifov];

	 lat_a1_2[iscan][ifov] = lat_a2[iscan][ifov];
	 lon_a1_2[iscan][ifov] = lon_a2[iscan][ifov];

         if(ifov < NUMSPOT_A/2)
           lza_a2[iscan][ifov] = -scanline[iscan].angular_relationships[ifov*3+1]*1.0E-2;
	 else
           lza_a2[iscan][ifov] = scanline[iscan].angular_relationships[ifov*3+1]*1.0E-2;

         lza_a1_1[iscan][ifov] = lza_a2[iscan][ifov];
         lza_a1_2[iscan][ifov] = lza_a2[iscan][ifov];

         sza[iscan][ifov] = scanline[iscan].angular_relationships[ifov*3]*1.0E-2;

      }

}  /* end of scn_data.c */
