/***************************************************************************
 *  Program Name      : t2rad2.c
 *  Type              : Subroutine
 *  Function          : Program converts antenna temperature to radiance 
 *  Input Files       : None
 *  Output Files      : None
 *  Subroutine Called : None 
 *  Called by         : rama_scn.c
 *
 *  Modification History:
 *      Date       Version         Description of Changes
 *     ------     ---------       ------------------------
 *   8/30/2000      v2.0
 *************************************************************************/
#include "AMA2NC_INCLUDE.h"
#include "ESWATH.h"

/*********************************************************/
void t2rad2(short int numscan, float t[][NUMCHAN_A], float radt[][NUMCHAN_A])
{

   float c1v3, c2v, pl;
   float plcoef1 = 1.1910659E-05;
   float plcoef2 = 1.438833;

   double temp;
   int   ich, iscan;

   for (ich = 0; ich < NUMCHAN_A; ich ++)
   {
     pl = t_r_central_wave_number[ich];

     c1v3 = plcoef1*pl*pl*pl;
     c2v  = plcoef2*pl;
   
     for (iscan = 0; iscan < numscan; iscan ++)
     {
       temp = exp(c2v/t[iscan][ich]);
       radt[iscan][ich] = c1v3 / (temp -1);
     }
   }
}  /* end of t2rad2.c */
